Subject: Re: Mysterious gdb behavior.
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 02 Aug 2002 21:43:42 +1000

On Fri, 2002-08-02 at 17:34, Paul Derbyshire wrote:
> On 31 Jul 2002 at 23:09, Max Bowsher wrote:
> 
> > Paul Derbyshire wrote:
> > > On 30 Jul 2002 at 16:30, Max Bowsher wrote:
> > >
> > >> Paul Derbyshire wrote:
> > >>> You suggest changing my user name in *Windows* also? Wonderful. Have
> > >>> you any idea how nontrivial that is? It also means my Windows home
> > >>> directory in Documents and Settings has to be renamed.
> > >>
> > >> False
> > >
> > > Don't contradict me publicly.
> > 
> > WHAT!?!?!?!?! (and yes, I'm bellowing on purpose). You say something I know to
> > be incorrect, but I'm not allowed to correct you?
> 
> It's not incorrect. Unless you think it's coincidence that the 
> Documents and Settings subdirectory's name happens to be the same as 
> my username.

It is a coincidence. 
Is it the default behaviour? Yes.
Is it the only behaviuor? No. There is a registry key that determines
where the profile directory is, and what it's called, and that key can
be changed at any point.

Rob